Delete Message
curl --request DELETE \
--url https://api.trillet.ai/v1/api/conversations/{conversationId}/message/{messageId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"conversationId": "<string>",
"messageId": "<string>",
"": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/conversations/{conversationId}/message/{messageId}"
payload = {
"conversationId": "<string>",
"messageId": "<string>",
"": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({conversationId: '<string>', messageId: '<string>', '': '<string>'})
};
fetch('https://api.trillet.ai/v1/api/conversations/{conversationId}/message/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": `Conversation with ID abc1234aa deleted successfully.`,
"conversationId": abc1234aa,
}
Conversations
Delete Message
Delete a message in a specific conversation from the database.
DELETE
/
v1
/
api
/
conversations
/
{conversationId}
/
message
/
{messageId}
Delete Message
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier for the conversation containing the message.
string
required
The unique identifier for the message to be deleted.
Response Fields
string
The status of the call.
string
A message to describe the result.
string
The deleted conversationId.
{
"status": "success",
"message": `Conversation with ID abc1234aa deleted successfully.`,
"conversationId": abc1234aa,
}
⌘I
